[package]
name = "zap_codec"
version = "1.0.9"
edition = "2021"

[dependencies]
# Serialisierung
serde = { version = "1.0", features = ["derive"] }
bincode = "1.3"

# Audio Decoding
symphonia = { version = "0.5", features = ["all"] }

# Audio Playback
cpal = "0.15"

# Metadaten
lofty = "0.15"

# Mathematik (DCT)
rustdct = "0.7"

# Parallelisierung
rayon = "1.8"

# Kompression
zstd = "0.13"

# WAV Export
hound = "3.5"

# System Control
ctrlc = "3.4"